Bug 99058 - Userhelper needs 'remember password' box
Userhelper needs 'remember password' box
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-13 09:01 EDT by Stephen Samuel
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:54:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Samuel 2003-07-13 09:01:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
when an administrator uses a GUI tool from the menu from a non-root user's
window, the system remembers that the root password was correctly entered and
allows that user to use ANY root tool for a whild.
This becomes a security problem if the user from whom the tool was called is not
a trusted user (all sorts of exploits possible).

Usertool requires a 'remember this password' box so that I can disable the
persistence of authority presumption. I would suggest that the box start
UNchecked by default.


Version-Release number of selected component (if applicable):
usermode-1.67-2

How reproducible:
Always

Steps to Reproduce:
1. Use any tool that is linked to userhelper
2. Walk away and pray that the user doesn't realize that (s)he is now
effectively root.
3.
    

Actual Results:  User now has root prives

Expected Results:  User is not trusted

Additional info:

This is vaguely related to bug #98391

workaround ( su -c "rm -rf /var/run/sudo/$USER" ) still leaves 
a window of vulnerability.
  su -c "rm -rf /var/run/sudo/$USER ; true >  /var/run/sudo/$USER && ls -ld
/var/run/sudo/$USER"
works a bit better.
  (the `ls` is to verify that you did not lose to a race condition)
Comment 1 Mark J. Cox (Product Security) 2003-07-15 03:42:04 EDT
Moving to an RFE; I think this is a good idea too.
Comment 2 Stephen Samuel 2003-07-15 07:56:49 EDT
I think that it it is also a security issue.  As an admin, I was not initially
aware that supplying a password to run (eg) ethereal, would result in persistent
permission for that user to do things like create a secondary root user. (Not
everybody Rs the FM.)

Think of it as INsecurity through obscurity.
Tricking a not-fully-informed admin into running a user-helper application to do
something seemingly innocuous (without logging out and logging back in as
himself) now becomes a powerful root exploit.

If nothing else, there should be a note on the window warning admins that the
root permission grant will linger.

 If you must mark it as an Enhanscement, I request that you at least upgrade it
to serious.
Comment 3 Bill Nottingham 2006-08-05 00:16:52 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 13:54:05 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.